package hec.environment;

/**
 * Class to access the Windows API on behalf of Windows-specific environment implementation classes.
 */
class WindowsEnvironment implements StdPathnameConstants {

	/**
	 * Load the WindowsEnvironment.dll module
	 */
	static {System.loadLibrary ("WindowsEnvironment");}
	
	/**
	 * Queries the Windows API using SHGetFolderPath for the pathname associated with the specified symbolic
	 * pathname.
	 * 
	 * @param pathnameID The symbolic constant to retrieve the pathname for.
	 *                   <strong>
	 *                   NOTE: This is a constant from the StdPathnameConstants interface and not a Windows CSIDL constant!
	 *                   </strong>
	 * 
	 * @return The Windows pathname associated with the symbolic constant.
	 */
	static native String getFolderPath(int pathnameID); 
}
